[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TComponentDataLink.OnInvalidDataSource

OnInvalidDataSource - event handler when the data source is invalid.

## Declaration

Source position: dbgrids.pas line 231

`public property TComponentDataLink.OnInvalidDataSource : TDataSetNotifyEvent read fOnInvalidDataSource write fOnInvalidDataSource;`